RDCode: RDCatalog::CatalogParams Class Reference

# RDCatalog::CatalogParams Class Reference

abstract base class for the container used to create a catalog More...

`#include <CatalogParams.h>`

Inheritance diagram for RDCatalog::CatalogParams:

List of all members.

## Public Member Functions
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string
virtual void | toStream (std::ostream &) const =0
| serializes (pickles) to a stream
virtual std::string | Serialize () const =0
| returns a string with a serialized (pickled) representation
virtual void | initFromStream (std::istream &ss)=0
| initializes from a stream pickle
virtual void | initFromString (const std::string &text)=0
| initializes from a string pickle
## Protected Attributes
std::string | d_typeStr
| our type string

## Detailed Description

abstract base class for the container used to create a catalog

Definition at line 13 of file CatalogParams.h.

## Constructor & Destructor Documentation

virtual RDCatalog::CatalogParams::~CatalogParams | ( |  | ) | `[pure virtual]`

## Member Function Documentation

std::string RDCatalog::CatalogParams::getTypeStr | ( |  | ) | const`[inline]`

returns our type string

Definition at line 18 of file CatalogParams.h.

References d_typeStr.

void RDCatalog::CatalogParams::setTypeStr | ( | const std::string & | typeStr | ) | `[inline]`

sets our type string

Definition at line 21 of file CatalogParams.h.

References d_typeStr.

virtual void RDCatalog::CatalogParams::toStream | ( | std::ostream & |  | ) | const`[pure virtual]`

serializes (pickles) to a stream

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

virtual std::string RDCatalog::CatalogParams::Serialize | ( |  | ) | const`[pure virtual]`

returns a string with a serialized (pickled) representation

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

virtual void RDCatalog::CatalogParams::initFromStream | ( | std::istream & | ss | ) | `[pure virtual]`

initializes from a stream pickle

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

virtual void RDCatalog::CatalogParams::initFromString | ( | const std::string & | text | ) | `[pure virtual]`

initializes from a string pickle

Implemented in RDKit::FragCatParams, and RDKit::MolCatalogParams.

## Member Data Documentation

std::string RDCatalog::CatalogParams::d_typeStr`[protected]`

our type string

Definition at line 33 of file CatalogParams.h.

Referenced by RDKit::FragCatParams::FragCatParams(), getTypeStr(), RDKit::MolCatalogParams::MolCatalogParams(), and setTypeStr().

The documentation for this class was generated from the following file:

- CatalogParams.h